Docs Rizler

V1 General

V1 Update Welcome Message

PATCHhttps://app.rizzdial.com/api/ai/agent/v1/welcome-message/{agent_id}
V1 Update Welcome Message
curl --request PATCH \
  --url https://app.rizzdial.com/api/ai/agent/v1/welcome-message/agent_123 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "mode": "user_initiates",
  "llmbeginmsg": "silent_YES",
  "begin_message": "value",
  "llmbeginmsgVal": "value",
  "welcome_message": "value"
}'
{
  "data": {
    "agent_id": "agent_123"
  },
  "message": "Saved",
  "success": true
}

V1 Update Welcome Message#

V1 Update Welcome Message. Use the public agent id from List Agents. This path only accepts V1 agents allowed by the company package.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

agent_idstringpathrequired

Public agent id from List Agents

modestringbodyrequired

One of: user_initiates, ai_dynamic, ai_custom, silent_YES, silent_NO, Custom

begin_messagestringbody

may be null

welcome_messagestringbody

may be null

llmbeginmsgstringbody

One of: silent_YES, silent_NO, Custom. may be null

llmbeginmsgValstringbody

may be null

curl --request PATCH \
  --url https://app.rizzdial.com/api/ai/agent/v1/welcome-message/agent_123 \
  --header 'Authorization: Bearer {{bearer_token}}' \
  --header 'Content-Type: application/json' \
  --data '{"mode":"user_initiates","begin_message":"value","welcome_message":"value","llmbeginmsg":"silent_YES","llmbeginmsgVal":"value"}'
successboolean

true when the call succeeds. Some list responses use status: success instead

dataobject

The saved record, or the list of records